#!/usr/bin/perl
use FindBin qw($Bin);

#$basedir = $Bin."../..";
$basedir = "~/research/GeoRouting";
$S4dir = "$basedir/S4";
$S4srcdir = "$S4dir/tos/cr";

push @messages, (
  {class=>'S4RawMessage'            ,extends=>'none'         ,struct=>'S4_Raw_Msg',file=>"$S4srcdir/S4.h"},
  {class=>'S4BeaconMessage'         ,extends=>'S4RawMessage',struct=>'S4_Beacon_Msg',file=>"$S4srcdir/S4.h"},
  {class=>'S4AppMessage'            ,extends=>'S4RawMessage',struct=>'S4_App_Msg',file=>"$S4srcdir/S4.h"},
  {class=>'S4CommandMessage'        ,extends=>'S4RawMessage',struct=>'S4_Command_Msg',file=>"$S4dir/tos/command/S4Command.h"},
  {class=>'S4CommandResponseMessage',extends=>'S4RawMessage',struct=>'S4_Command_Response_Msg',file=>"$S4dir/tos/command/S4Command.h"},
  {class=>'S4ReverseLinkMessage'    ,extends=>'S4RawMessage',struct=>'LE_Reverse_Link_Estimation_Msg',file=>"$S4dir/tos/linkestimator/ReverseLinkInfo.h"},
  {class=>'S4LogMessage'            ,extends=>'S4RawMessage',struct=>'S4_Log_Msg',file=>"$S4dir/tos/util/Logging.h"}
);

$template_cmd = "mig -I $S4srcdir -I $S4dir/tos/command -I $S4dir/tos/commstack -I $S4dir/tos/linkestimator -I $S4dir/tos/util -DMULTIPLE_BEACON -DCRROUTING -DLOCAL_DV -DMAX_ROOT_BEACONS=8 -java-classname=net.tinyos.cr.messages.%s -o $S4dir/java/net/tinyos/cr/messages/%s.java -target=mica2 java %s %s";
for $message (@messages) {
  $cmd = sprintf $template_cmd, $message->{class},$message->{class},$message->{file},$message->{struct};
  print "Running $cmd\n";
  `$cmd`;
  `javac $S4dir/java/net/tinyos/cr/messages/$message->{class}.java`;
}

