#!/usr/bin/env python
from os.path import join, exists
import testbed, sys, os, time


#folder = '/u/maoy/GeoRouting/cr/eval/measure_100_100_10'
def usage():
    print "usage: run.py  gateway_map n_packets interval power_level"

#EXP_INTERVAL=600 #10 minutes
EXP_INTERVAL=6 
START_EXP_ID = 1
n_packets = 100
interval = 100
power_level = 10

def main():
    if len(sys.argv)<>5:
        usage()
        return
    
    gw_file = sys.argv[1];
    n_packets = int(sys.argv[2]);
    interval = int(sys.argv[3]);
    power_level = int(sys.argv[4]);
    
    folder = '/u/maoy/GeoRouting/cr/eval/measure_%d_%d_%d' %(n_packets,interval, power_level)

    m = testbed.MeasureTestbed(gw_file)
    os.system("mkdir -p %s" %(folder,))
    os.system("cp -f %s %s" % (gw_file, join(folder, "map")))

    exp_id = START_EXP_ID
    
    while(1):
        exp_str = '%.4d'%(exp_id,)
        while exists(join(folder, exp_str+".metadata")):
            exp_id = exp_id +1
            exp_str = '%.4d'%(exp_id,)

        print 'exp_id=', exp_id
        fd = open(join(folder, exp_str+".metadata"), 'w')
        fd.write('time:%d\n' %(time.time(),))
        fd.write('ctime:%s\n' %(time.ctime(),))
        fd.write('n_packets:%d\ninterval:%d\npower_level:%d\n' %(n_packets, interval, power_level))
        
        res = m.clear_all()
        fd.write('clear:');
        for i in res:
            fd.write('%d '% i)
        fd.write('\n')

        res = m.measure_all(n_packets, interval, power_level, 1)
        fd.write('measure:');
        for i in res:
            fd.write('%d '% i)
        fd.write('\n')
        fd.close()
        m.count_all( join(folder, exp_str+".count"))
        time.sleep(EXP_INTERVAL)
        exp_id = exp_id + 1
        

if __name__=='__main__':
    main()
    
