// ex: set tabstop=2 shiftwidth=2 expandtab syn=c:
// $Id: nexthopinfo.h,v 1.4 2006/03/16 22:19:53 wangf Exp $
                                    
/*                                                                      
 * "Copyright (c) 2000-2003 The Regents of the University  of California.  
 * All rights reserved.             
 *                                  
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice, the following
 * two paragraphs and the author appear in all copies of this software.
 *                                  
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF
 * CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *                                  
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS."
 *                                  
 * Copyright (c) 2002-2003 Intel Corporation
 * All rights reserved.             
 *                                  
 * This file is distributed under the terms in the attached INTEL-LICENSE     
 * file. If you do not find these files, copies can be found by writing to
 * Intel Research Berkeley, 2150 Shattuck Avenue, Suite 1300, Berkeley, CA, 
 * 94704.  Attention:  Intel License Inquiry.
 */                                 
                                    
/*                                  
 * Authors:  Rodrigo Fonseca        
 * Date Last Modified: 2005/05/26
 */

/*
 * Authors:  Feng Wang, Univ. of Texas at Austin, CS Department
 * Date Last Modified: 2006/02/04
 */

#ifndef _NEXT_HOP_INFO_H
#define _NEXT_HOP_INFO_H

/************************/
/* forwardRoutingBuffer */
/************************/
  
typedef struct {
  bool busy;
  TOS_MsgPtr msg;

#ifdef CRROUTING
  uint16_t next_hop;  //id of the next hop
#endif

#ifdef FAILURE_RECOVERY
  uint8_t cost;
  uint8_t cost_type;
#endif

} __attribute__ ((packed)) forwardRoutingBuffer;

static inline void forwardRoutingBufferFree(forwardRoutingBuffer *this) {
  this->busy = FALSE;

#ifdef CRROUTING
  this->next_hop = INVALID_NODE_ID;
#endif

}

static inline void forwardRoutingBufferInit(forwardRoutingBuffer *this, TOS_MsgPtr msg) {
  forwardRoutingBufferFree(this);
  this->msg = msg;
}


   
#endif
